View Issue Details

IDProjectCategoryView StatusLast Update
13372Bug reports[All Projects] Survey designpublic2018-03-15 17:38
ReporterpmonstadAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.5.x 
Summary13372: behavior of reset in mail templates
Description

When I hit the reset button in mail templates the template mail text is shown in English. The behavior should be to reset the strings to the language I have logged in as admin.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.1+180214
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-Versionall
Server OS (if known)all
Webserver software & version (if known)all
PHP Versionall

Activities

c_schmitz

c_schmitz

2018-02-21 14:23

administrator   ~46678

Actually the default behaviour should the text in the language of the survey you are just editing.

pmonstad

pmonstad

2018-02-21 14:26

updater   ~46680

Well, it resets to English even if I run both gui and survey in English. I have never made a survey with main language set to English.

c_schmitz

c_schmitz

2018-02-21 14:29

administrator   ~46681

I can reproduce the problem. I added German as language to an existing survey.
On resetting the German email template I get the ENglish one.

markusfluer

markusfluer

2018-03-15 13:11

administrator   ~47068

Behaviour should be the language selected in the language tab you are editing in.
So a multilanguage survey has always the correct language.

markusfluer

markusfluer

2018-03-15 13:16

administrator   ~47070

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26761

pmonstad

pmonstad

2018-03-15 17:37

updater   ~47089

Now all line feeds are removed when I hit the reset button. Line feeds are replaced by some codes:

Hei {FIRSTNAME}! Du er invitert til å delta i en undersøkelse. Undersøkelsen heter: «{SURVEYNAME}» «{SURVEYDESCRIPTION}» For å delta og svare på undersøkelsen, vennligst klikk på lenken nedenfor. Med hilsen {ADMINNAME} ({ADMINEMAIL}) ---------------------------------------------- Klikk her for å gjennomføre undersøkelsen: {SURVEYURL}

Hvis du ikke vil delta i denne undersøkelsen og heller ikke vil motta invitasjoner til andre undersøkelser, vennligst klikk på denne lenken: {OPTOUTURL}

Hvis du er svartelistet, men vil delta i denne undersøkelsen og motta invitasjoner, vennligst klikk følgende lenke: {OPTINURL}

pmonstad

pmonstad

2018-03-15 17:38

updater   ~47090

Hm, not shown correct in the post. See screenshot.

Related Changesets

LimeSurvey: master 4837faae

2018-03-15 13:14:27

markusfluer

Details Diff
Fixed issue 13372: behavior of reset in mail templates
Dev: also fixed a wrong behaviour regarding general email template settings
Affected Issues
13372
mod - application/controllers/admin/emailtemplates.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/views/admin/emailtemplates/email_language_tab.php Diff File
mod - application/views/admin/emailtemplates/email_language_template_tab.php Diff File
mod - application/views/admin/emailtemplates/emailtemplates_view.php Diff File
mod - assets/packages/emailtemplates/emailtemplates.js Diff File

Issue History

Date Modified Username Field Change
2018-02-16 18:08 pmonstad New Issue
2018-02-21 14:23 c_schmitz Note Added: 46678
2018-02-21 14:26 pmonstad Note Added: 46680
2018-02-21 14:28 c_schmitz Assigned To => markusfluer
2018-02-21 14:28 c_schmitz Status new => assigned
2018-02-21 14:29 c_schmitz Note Added: 46681
2018-03-15 13:11 markusfluer Note Added: 47068
2018-03-15 13:16 markusfluer Changeset attached => LimeSurvey master 4837faae
2018-03-15 13:16 markusfluer Note Added: 47070
2018-03-15 13:16 markusfluer Resolution open => fixed
2018-03-15 13:39 ollehar Status assigned => closed
2018-03-15 13:39 ollehar Fixed in Version => 3.5.x
2018-03-15 17:37 pmonstad Note Added: 47089
2018-03-15 17:38 pmonstad Note Added: 47090